var events_c12a15a8_c380_4b28_8144_256cba95f760 = 
{
	"commonEvent": {
		"加点事件": [
			{
				"type": "comment",
				"text": "通过传参，flag:arg1 表示当前应该的加点数值"
			},
			{
				"type": "choices",
				"choices": [
					{
						"text": "攻击+${1*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:atk",
								"operator": "+=",
								"value": "1*flag:arg1"
							}
						]
					},
					{
						"text": "防御+${2*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:def",
								"operator": "+=",
								"value": "2*flag:arg1"
							}
						]
					},
					{
						"text": "生命+${200*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:hp",
								"operator": "+=",
								"value": "200*flag:arg1"
							}
						]
					}
				]
			}
		],
		"回收钥匙商店": [
			{
				"type": "comment",
				"text": "此事件在全局商店中被引用了(全局商店keyShop)"
			},
			{
				"type": "comment",
				"text": "解除引用前勿删除此事件"
			},
			{
				"type": "comment",
				"text": "玩家在快捷列表（V键）中可以使用本公共事件"
			},
			{
				"type": "while",
				"condition": "1",
				"data": [
					{
						"type": "choices",
						"text": "\t[商人,trader]你有多余的钥匙想要出售吗？",
						"choices": [
							{
								"text": "黄钥匙（10金币）",
								"color": [
									255,
									255,
									0,
									1
								],
								"action": [
									{
										"type": "if",
										"condition": "item:yellowKey >= 1",
										"true": [
											{
												"type": "setValue",
												"name": "item:yellowKey",
												"operator": "-=",
												"value": "1"
											},
											{
												"type": "setValue",
												"name": "status:money",
												"operator": "+=",
												"value": "10"
											}
										],
										"false": [
											"\t[商人,trader]你没有黄钥匙！"
										]
									}
								]
							},
							{
								"text": "蓝钥匙（50金币）",
								"color": [
									0,
									0,
									255,
									1
								],
								"action": [
									{
										"type": "if",
										"condition": "item:blueKey >= 1",
										"true": [
											{
												"type": "setValue",
												"name": "item:blueKey",
												"operator": "-=",
												"value": "1"
											},
											{
												"type": "setValue",
												"name": "status:money",
												"operator": "+=",
												"value": "50"
											}
										],
										"false": [
											"\t[商人,trader]你没有蓝钥匙！"
										]
									}
								]
							},
							{
								"text": "离开",
								"action": [
									{
										"type": "exit"
									}
								]
							}
						]
					}
				]
			}
		],
		"提示": [
			{
				"type": "if",
				"condition": "(flag:language===1)",
				"true": [
					{
						"type": "insert",
						"name": "中文提示"
					},
					{
						"type": "fillRect",
						"x": "3*32",
						"y": "11*32",
						"width": "10*32",
						"height": "2*32",
						"style": [
							0,
							0,
							0,
							1
						]
					},
					{
						"type": "drawTextContent",
						"text": "${flag:content1}\n${flag:content2}\n${flag:content3}",
						"left": "3*32",
						"top": "11*32"
					}
				],
				"false": [
					{
						"type": "insert",
						"name": "日文提示"
					},
					{
						"type": "fillRect",
						"x": "3*32",
						"y": "11*32",
						"width": "10*32",
						"height": "2*32",
						"style": [
							0,
							0,
							0,
							1
						]
					},
					{
						"type": "drawTextContent",
						"text": "${flag:content1}\n${flag:content2}\n${flag:content3}",
						"left": "3*32",
						"top": "11*32"
					}
				]
			}
		],
		"中文提示": [
			{
				"type": "comment",
				"text": "arg1代表楼层 "
			},
			{
				"type": "switch",
				"condition": "parseInt(core.status.floorId.substring(2))",
				"caseList": [
					{
						"case": "0",
						"action": [
							{
								"type": "if",
								"condition": "(flag:alice===0)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content1",
										"value": "' '"
									},
									{
										"type": "setValue",
										"name": "flag:content2",
										"value": "' '"
									},
									{
										"type": "setValue",
										"name": "flag:content3",
										"value": "' '"
									},
									{
										"type": "comment",
										"text": "当判别值是值的场合执行此事件"
									}
								]
							},
							{
								"type": "if",
								"condition": "(flag:alice===1)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content1",
										"value": "'向导完全被消灭。'"
									},
									{
										"type": "setValue",
										"name": "flag:content2",
										"value": "'新向导请立即准备。'"
									},
									{
										"type": "setValue",
										"name": "flag:content3",
										"value": "' '"
									},
									{
										"type": "comment",
										"text": "当判别值是值的场合执行此事件"
									}
								]
							},
							{
								"type": "if",
								"condition": "(flag:alice===2)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content1",
										"value": "'救命啊···'"
									},
									{
										"type": "setValue",
										"name": "flag:content2",
										"value": "' '"
									},
									{
										"type": "setValue",
										"name": "flag:content3",
										"value": "' '"
									},
									{
										"type": "comment",
										"text": "当判别值是值的场合执行此事件"
									}
								]
							}
						]
					},
					{
						"case": "1",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'欢迎来到迷宫世界！'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'吃柿子可以变强'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "'打倒左上方的魔王吧！ '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "2",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'按X重新开始，'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'按C可以返回标题'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "' '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "3",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'与敌人碰撞将开始战斗'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'(敌方-我方)的能力值'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "'为HP的伤害值'"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "4",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'为你回复的药水'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'给你准备好了'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "'喝下就继续吧'"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "5",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'哇啊！好多怪物呀！'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'但如果你变强'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "'就不必减少HP'"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "6",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'真正的战斗开始了。'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'好好想想再前进呦！'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "' '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "7",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'一眼看去好像很简单…'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'里面似乎有什么玄机'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "' '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "8",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'你陷入困境了吧'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'如果没有我的回复药水'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "'你可能寸步难行的'"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "9",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'小房间真多啊！'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'注意钥匙的数量呦！'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "' '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "10",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'我会在下一层等着你呦'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'快来找我吧'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "' '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "11",
						"action": [
							{
								"type": "if",
								"condition": "(flag:alice===1)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content1",
										"value": "'别杀我！'"
									},
									{
										"type": "setValue",
										"name": "flag:content2",
										"value": "'按下1键···'"
									},
									{
										"type": "setValue",
										"name": "flag:content3",
										"value": "' '"
									}
								],
								"false": [
									{
										"type": "if",
										"condition": "(flag:gup===1)",
										"true": [
											{
												"type": "setValue",
												"name": "flag:content1",
												"value": "'辛苦了'"
											},
											{
												"type": "setValue",
												"name": "flag:content2",
												"value": "'药效发作的时候到了'"
											},
											{
												"type": "setValue",
												"name": "flag:content3",
												"value": "'在这个迷宫里和我共度余生吧'"
											}
										],
										"false": [
											{
												"type": "setValue",
												"name": "flag:content1",
												"value": "'诶！你没有吃药水就来到这里了吗？'"
											},
											{
												"type": "setValue",
												"name": "flag:content2",
												"value": "'你那么讨厌和我在一起吗？'"
											},
											{
												"type": "setValue",
												"name": "flag:content3",
												"value": "'我不会原谅你的！'"
											}
										]
									}
								]
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "22",
						"action": [
							{
								"type": "if",
								"condition": "(flag:alice===0)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content1",
										"value": "'这样的bug技能'"
									},
									{
										"type": "setValue",
										"name": "flag:content2",
										"value": "'实在是'"
									},
									{
										"type": "setValue",
										"name": "flag:content3",
										"value": "'出乎意料....'"
									},
									{
										"type": "comment",
										"text": "当判别值是值的场合执行此事件"
									}
								]
							},
							{
								"type": "if",
								"condition": "(flag:alice===1)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content1",
										"value": "'谢谢！'"
									},
									{
										"type": "setValue",
										"name": "flag:content2",
										"value": "' '"
									},
									{
										"type": "setValue",
										"name": "flag:content3",
										"value": "' '"
									},
									{
										"type": "comment",
										"text": "当判别值是值的场合执行此事件"
									}
								]
							}
						]
					},
					{
						"case": "23",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'致敬：数码宝贝51'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "' '"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "' '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "default",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "' '"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "' '"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "' '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					}
				]
			}
		],
		"日文提示": [
			{
				"type": "comment",
				"text": "arg1代表楼层 "
			},
			{
				"type": "switch",
				"condition": "parseInt(core.status.floorId.substring(2))",
				"caseList": [
					{
						"case": "0",
						"action": [
							{
								"type": "if",
								"condition": "(flag:alice===0)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content1",
										"value": "' '"
									},
									{
										"type": "setValue",
										"name": "flag:content2",
										"value": "' '"
									},
									{
										"type": "setValue",
										"name": "flag:content3",
										"value": "' '"
									},
									{
										"type": "comment",
										"text": "当判别值是值的场合执行此事件"
									}
								]
							},
							{
								"type": "if",
								"condition": "(flag:alice===1)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content1",
										"value": "'案内人が完全に消滅しました。'"
									},
									{
										"type": "setValue",
										"name": "flag:content2",
										"value": "'至急新しい案内人を準備してください。'"
									},
									{
										"type": "setValue",
										"name": "flag:content3",
										"value": "' '"
									},
									{
										"type": "comment",
										"text": "当判别值是值的场合执行此事件"
									}
								]
							},
							{
								"type": "if",
								"condition": "(flag:alice===2)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content1",
										"value": "'た、たすけて···'"
									},
									{
										"type": "setValue",
										"name": "flag:content2",
										"value": "' '"
									},
									{
										"type": "setValue",
										"name": "flag:content3",
										"value": "' '"
									},
									{
										"type": "comment",
										"text": "当判别值是值的场合执行此事件"
									}
								]
							}
						]
					},
					{
						"case": "1",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'迷宮の世界にようこそ！'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'柿を食べて強くなって'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "'左上の魔王を倒しちゃおう!'"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "2",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'やり直しはXキー、'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'タイトルに戻りたかったらCキーよ'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "' '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "3",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'敵にぶつかると戦闘になるわ'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'(敵－自分)のpowerだけ'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "'HPにダメージを受けるわ'"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "4",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'貴方のために回復の薬を'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'用意しておいたわ'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "'飲んで行きなさい'"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "5",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'わぁ！魔物がいっぱい！'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'でも強くなれば'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "'HPを減らさずに済むわ'"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "6",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'ここからが本番よ。'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'良く考えて進んでね！'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "' '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "7",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'一見すると簡単そうだけど…'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'なにか裏がありそうだわ'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "' '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "8",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'あなた危なかったわ'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'私の回復薬がなければ'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "'行き詰まってたところよ'"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "9",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'小部屋が多いわね！'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'カギの数に気をつけてね！'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "' '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "10",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'次のステージで待っているわ'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "'早く攻略してきなさい'"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "' '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "11",
						"action": [
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							},
							{
								"type": "if",
								"condition": "(flag:alice===1)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content1",
										"value": "'殺さないで！'"
									},
									{
										"type": "setValue",
										"name": "flag:content2",
										"value": "'タイトルで１key···'"
									},
									{
										"type": "setValue",
										"name": "flag:content3",
										"value": "'（1keyを押してください）'"
									}
								],
								"false": [
									{
										"type": "if",
										"condition": "(flag:gup===1)",
										"true": [
											{
												"type": "setValue",
												"name": "flag:content1",
												"value": "'ご苦労様'"
											},
											{
												"type": "setValue",
												"name": "flag:content2",
												"value": "'そろそろ薬が効き始めて来る頃よ'"
											},
											{
												"type": "setValue",
												"name": "flag:content3",
												"value": "'この迷宮に一生私と暮らすのよ'"
											}
										],
										"false": [
											{
												"type": "setValue",
												"name": "flag:content1",
												"value": "'えっ！あの薬を飲まずにここまで'"
											},
											{
												"type": "setValue",
												"name": "flag:content2",
												"value": "'来たの？そんなに私と一緒に'"
											},
											{
												"type": "setValue",
												"name": "flag:content3",
												"value": "'いるのが嫌なの？許さない！'"
											}
										]
									}
								]
							}
						]
					},
					{
						"case": "22",
						"action": [
							{
								"type": "if",
								"condition": "(flag:alice===0)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content1",
										"value": "'そんなバグ技'"
									},
									{
										"type": "setValue",
										"name": "flag:content2",
										"value": "'さすがに'"
									},
									{
										"type": "setValue",
										"name": "flag:content3",
										"value": "'想定外だった···'"
									},
									{
										"type": "comment",
										"text": "当判别值是值的场合执行此事件"
									}
								]
							},
							{
								"type": "if",
								"condition": "(flag:alice===1)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content1",
										"value": "'ありがとう！'"
									},
									{
										"type": "setValue",
										"name": "flag:content2",
										"value": "' '"
									},
									{
										"type": "setValue",
										"name": "flag:content3",
										"value": "' '"
									},
									{
										"type": "comment",
										"text": "当判别值是值的场合执行此事件"
									}
								]
							}
						]
					},
					{
						"case": "23",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "'「數碼寶貝51」に敬意を表す'"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "' '"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "' '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					},
					{
						"case": "default",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content1",
								"value": "' '"
							},
							{
								"type": "setValue",
								"name": "flag:content2",
								"value": "' '"
							},
							{
								"type": "setValue",
								"name": "flag:content3",
								"value": "' '"
							},
							{
								"type": "comment",
								"text": "当判别值是值的场合执行此事件"
							}
						]
					}
				]
			}
		],
		"语言切换": [
			{
				"type": "if",
				"condition": "(flag:language===1)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:language",
						"value": "0"
					},
					{
						"type": "insert",
						"name": "提示"
					}
				],
				"false": [
					{
						"type": "setValue",
						"name": "flag:language",
						"value": "1"
					},
					{
						"type": "insert",
						"name": "提示"
					}
				]
			}
		]
	}
}